package net.h34t.filemure

import net.h34t.filemure.tpl.*
import org.apache.commons.text.StringEscapeUtils
import java.net.URLEncoder

class TemplateModifiers : Frame.Modifiers, Limbo.Modifiers, DocumentCreateForm.Modifiers, Overview.Modifiers,
    FilePreview.Modifiers, DocumentEditForm.Modifiers, FileList.Modifiers,
    net.h34t.filemure.tpl.Document.Modifiers, OverviewDocuments.Modifiers, Search.Modifiers, Tags.Modifiers {

    private val linebreaks = Regex("\\v+")

    fun hashPrefix(arg: String): String {
        return URLEncoder.encode(arg, Charsets.UTF_8)
    }

    override fun starPrefix(arg: String) = html(arg)

    override fun html(arg: String): String {
        return StringEscapeUtils.escapeHtml4(arg)
    }


//    override fun nl2br(arg: String): String {
//        return arg.replace(linebreaks, "<br/>\n")
//    }
}
