package net.h34t.filemure.controller

import io.javalin.http.Context
import net.h34t.filemure.*
import net.h34t.filemure.repository.SqliteRepository
import net.h34t.filemure.tpl.Frame
import net.h34t.filemure.tpl.Limbo

class LimboController(val modifiers: TemplateModifiers, val repository: SqliteRepository) {

    fun formLimbo(ctx: Context) {
        val session = ctx.requireSession()

        val files = repository.getFilesInLimbo(accountId = session.id)

        ctx.tempolin(
            Frame(
                modifiers = modifiers,
                title = "Limbo",
                target = "limbo",
                back = "/",
                logout = true,
                content = Limbo(
                    modifiers = modifiers, limboFileCount = files.size.toString(), file = {
                        files.map { f ->
                            FileBlock(
                                extId = f.extId.value,
                                file = f.filename,
                                type = f.contentType ?: "",
                                size = formatHumanReadableSize(f.fileSize),
                                uploaded = f.created.formatHumanShort()
                            )
                        }.asSequence()
                    })
            )
        )
    }
}